Subject: 'Heap_init: unable to allocate heap, win32 error 87' from gcc.
From: [email-masked] (Pepijn Schmitz)

17 Feb 1998 19:09:58 -0800
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: multipart/mixed; boundary="=====================_887755653==_"
To: GNU Win32 Mailing List <[email-masked]>

--=====================_887755653==_
Content-Type: text/plain; charset="us-ascii"

Hi everyone,

I have installed the latest release of GNU-Win32 (b18) at home and at work.
Home is Pentium 200 MMX with NT Server 4.0 SP3 with 32 MB RAM, work is
Pentium 133 with NT Server 4.0 SP3 with 64 MB RAM. I have followed all
instructions from the README.

In both locations, gcc doesn't run. Instead, whenever I try to start it, I
get the error 'heap_init: unable to allocate heap, win32 error 87'. I
attach a file with the complete output I get. The last two lines are
repeated over and over again until I press Ctrl+Break, at which point NT
informs me that the application has suffered a C0000005 exception and kills
it.

Does anybody know what is causing this and how I can get it to work? It's
unlikely to be a configuration error in NT, since it occurs both at work
and at home. I haven't tried it under Windows 95, since I don't have that
running anywhere.

Thanks,
Pepijn Schmitz

------------------------------------------------------------
 'A pedestal is as much a prison as any small, confined space.
  		-- Gloria Steinem'

--=====================_887755653==_
Content-Type: text/plain; charset="us-ascii"
Content-Disposition: attachment; filename="gcc.out"

(unknown) heap_init: unable to allocate heap, win32 error 87
cygwin: terminating
(unknown) In cygwin_except_handler
(unknown) Exception trapped!
(unknown) exception C0000005 at 1001E4B2
(unknown) exception: ax 0 bx 0 cx 501 dx FFFFFFFF
(unknown) exception: si 6779632D di 36383369 bp 241FB30 sp 241FB30
(unknown) exception is: STATUS_ACCESS_VIOLATION
(unknown) Stack trace:
(unknown) frame 0: sp = 0x241F964, pc = 0x1001282A
(unknown) frame 1: sp = 0x241F980, pc = 0x77F94512
(unknown) frame 2: sp = 0x241F9A4, pc = 0x77F88EEB
(unknown) frame 3: sp = 0x241FA30, pc = 0x77F76266
(unknown) frame 4: sp = 0x241FB30, pc = 0x10011D4D
(unknown) frame 5: sp = 0x241FB44, pc = 0x10018972
(unknown) frame 6: sp = 0x241FB5C, pc = 0x10011615
(unknown) frame 7: sp = 0x241FF94, pc = 0x10011BFF
(unknown) frame 8: sp = 0x241FFA0, pc = 0x4118D5
(unknown) frame 9: sp = 0x241FFB0, pc = 0x40103B
(unknown) frame 10: sp = 0x241FFC0, pc = 0x77F1B304
(unknown) frame 11: sp = 0x241FFF0, pc = 0x0
(unknown) End of stack trace
(unknown) In cygwin_except_handler
(unknown) Error while dumping state (probably corrupted stack)
(unknown) In cygwin_except_handler
(unknown) Error while dumping state (probably corrupted stack)
(unknown) In cygwin_except_handler
(unknown) Error while dumping state (probably corrupted stack)
:
: (Ad Infinitum)
:
--=====================_887755653==_--

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".